#ifndef _WEBRADIO_H_
#define _WEBRADIO_H_

/*
 * Copyright (C) 2007 by egnite Software GmbH. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY EGNITE SOFTWARE GMBH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL EGNITE
 * SOFTWARE GMBH OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.ethernut.de/
 *
 */

/*!
 * \file webradio.h
 * \brief Webradio global header.
 *
 * \verbatim
 *
 * $Log$
 *
 * \endverbatim
 */

#include "station.h"
#include "receiver.h"
#include "player.h"

typedef struct {
    u_char rc_cstatus;          /*!< \brief Current status. */
    u_int  rc_cstation;         /*!< \brief Current station. */
    u_int  rc_rstation;         /*!< \brief Requested station. */
    int    rc_cvolume;          /*!< \brief Current volume in dB. */
    int    rc_rvolume;          /*!< \brief Requested volume in dB. */
    STATIONINFO *rc_sip;        /*!< \brief Pointer to the station info structure. */
    RECEIVERINFO *rc_rip;       /*!< \brief Pointer to the receiver info structure. */
    PLAYERINFO *rc_pip;         /*!< \brief Pointer to the player info structure. */
} RADIOCONTROL;

extern RADIOCONTROL radio;

#endif
